libs = -lmingw32 -lSDL2main -lSDL2 -lopengl32 -lSDL2_image -lSDL2_ttf
includes = -I".\include"
compiler = gcc
warningLevel = -Wall -Wno-unused-variable -Wno-unused-but-set-variable
sources = *.c
linker = -L".\lib"
dir = bin
target = Breakout
args = -o

all:
	$(compiler) $(warningLevel) $(includes) $(sources) $(linker) $(libs) $(args) $(dir)\$(target)

run:
	cd $(dir) && $(target)
